-- name: [PET] Gentilhomme Usher
-- description: Gentilhomme Usher, Furina's loyal conferencier, is now here to accompany her in SM64!

if not _G.wpets then return end

local E_MODEL_WPET = smlua_model_util_get_id('gu_geo')

local ID_WPET = _G.wpets.add_pet({
	name = "Gentilhomme Usher", credit = "VHChess",
	description = "Gentilhomme Usher, Furina's loyal conferencier, is now here to accompany her!",
	modelID = E_MODEL_WPET,
	scale = 1.4, yOffset = 0, flying = true
})

_G.wpets.set_pet_anims_2leg(ID_WPET)

_G.wpets.set_pet_sounds(ID_WPET, {
	spawn = 'pet_sound.ogg',
	happy = 'pet_sound.ogg',
	vanish = nil,
	step = SOUND_OBJ_BOBOMB_WALK
})